
Lua_PanGuSubTipsWindow  = class("Lua_PanGuSubTipsWindow",Lua_Window);
function Lua_PanGuSubTipsWindow:ctor()
    self:superCall("ctor");
    self.windowName = "Lua_PanGuSubTipsWindow";
    self.skinName = "PanGuSubTipsWindow_skin";
    self.contNum = 0;
    self.isClickClose = true;
end

function Lua_PanGuSubTipsWindow:dispose()
    self:superCall("dispose");
end
function Lua_PanGuSubTipsWindow:showWin(param)
    self:superCall("showWin",param)
    self.param = param;
    self.huntGoodsNum=param;
    self:setProgressBar(self.progressBar,self.param,self.param,self.onSubSlideing,self.onAddSlideing);
end

function Lua_PanGuSubTipsWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.title.text=LanUtil.getValue(127704);

    self.sub:addClickFuntion(self,self.subNumber);
    self.add:addClickFuntion(self,self.addNumber);
    self.numBg:addClickFuntion(self,self.onOpenImportClick);

    self.button:addClickFuntion(self,self.onPaymentStone);
end

function Lua_PanGuSubTipsWindow:onOpenImportClick()
    self.numArr = Array();
    local list = { };
    list.pox = 333;
    list.poy = -18;
    list.callBackOwner = self;
    list.callBack = self.onInputClick;
    Lua_WindowUtil.openWin("Lua_CountInputWindow", WinParam.ACTION_AUTO, list)
end

function Lua_PanGuSubTipsWindow:setNum(val)
    if val >= self.huntGoodsNum then
        self.num = self.huntGoodsNum;
    else
        self.num = val;
    end
    self.showNum.text = tostring(self.num);
end

function Lua_PanGuSubTipsWindow:setProgressBar(prg,maxValue,value,slideEndFun,slideingFun)
    prg:setText("");
    prg:createSlider("settingsWindow_atlas","ui_shezhi_widget_01");
    prg:addSlideEndFun(self,slideEndFun);
    prg:addSlidingFun(self,slideingFun);
    prg:setMaxValue(maxValue);
    prg:setValue(value);
end

function Lua_PanGuSubTipsWindow:onInputClick(data)--输入数字
    --print("进入输入数字")
    if data.state == 1 then
        self.numArr:add(data.num);
        local str = "";
        for i=1,self.numArr:getSize() do
            str = str..self.numArr[i];
        end
        if tonumber(str) >= self.huntGoodsNum then
            str = self.huntGoodsNum;
        end
        self:setNum(tonumber(str));
        self.progressBar:setValue(str);
    elseif data.state == 0 then
        self:setNum(1);
        self.progressBar:setValue(1);
        self.numArr:clear();
    end
end

function Lua_PanGuSubTipsWindow:onPaymentStone()
    Lua_ProxyManager.getProxy("Lua_PanGuProxy"):getSubmitReward(201030030,self.num);
    Lua_WindowUtil.openWin("Lua_PanGuSubTipsWindow", WinParam.ACTION_CLOSE)
end

function Lua_PanGuSubTipsWindow:subNumber()--减少
    local cont = self.num;
    if cont <= 1 then
        cont = 1;
    else
        cont = cont-1;
    end
    self.progressBar:setValue(cont);
    self:setNum(cont);
end

function Lua_PanGuSubTipsWindow:addNumber()--增加
    local cont = self.num;
    if cont == self.huntGoodsNum then
        cont = self.num
    else
        cont = cont+1;
    end
    self.progressBar:setValue(cont);
    self:setNum(cont);
end


function Lua_PanGuSubTipsWindow:onSubSlideing(val)
    if val < 1 then
        self.count = 1;
        self.progressBar:setValue(self.count);
    else
        self.count = val;
    end
    self:setNum(self.count);
end

function Lua_PanGuSubTipsWindow:onAddSlideing(val)
    if val < 1 then
        self.count = 1;
        self.progressBar:setValue(self.count);
    else
        self.count = val;
    end
    self:setNum(self.count);
end